#login-page {
  display: flex;
  display: -moz-flex;
  display: -webkit-flex;
  flex-direction: column;
  -moz-flex-direction: column;
  -webkit-flex-direction: column;
  height: 100vh;
}

main {
  height: 100%;
  display: flex;
  align-items: center;
}

form.login-form {
  width: calc(100% - 200px);
  max-width: 500px;
  position: relative;
  top: -3vh;
}

form.login-form h1 {
  color: var(--color-primary);
  margin-bottom: 1.5em;
}

form.login-form .input-container {
  width: 75%;
  margin-bottom: 30px;
}

@media only screen and (max-width: 768px) {
  form.login-form {
    background: #fff;
    padding: 30px 20px 40px;
    border-radius: 8px;
    box-shadow: 0 3px 8px rgba(100,100,100,.1);
  }

  form.login-form h1 {
    color: var(--color-primary);
    margin-bottom: 1em;
  }
}

@media only screen and (max-width: 600px) {
  form.login-form {
    width: 100%;
    background: #fff;
    padding: 20px;
    text-align: center;
  }

  form.login-form h1 {
    font-size: 1.6rem;
  }

  form.login-form .input-container {
    width: calc(100% - 60px);
    margin: auto;
    margin-bottom: 30px;
  }
}